# List current sessions

`GET /api/v1/me/sessions`

Operation ID: `listCurrentSessions`  
Effect: `read`  
Confirmation: `never`

## Authorization

- mode: `privilege`
- privilege: `USE_WORKSPACE`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `limit` | query | false | `{"format":"int32","maximum":200,"minimum":1,"type":"integer"}` |  |
| `pageToken` | query | false | `{"maxLength":2048,"minLength":1,"type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `200` | `application/json` (SessionListResponse) | The request has succeeded. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
